AMULECMD(1)

NOMBRE
imulecmd - Control de iMule en modo consola basado en texto.

SINOPSIS
imulecmd [-h <host>] [-p <puerto>] [-P <contrase�a>] [-f <localizaci�n>] [-l <lenguaje>] [-q] [-v] [-w] [-c <comando>]

imulecmd [-f <localizaci�n>] --create-config-from=<localizaci�n>

imulecmd [--help] [--version]

DESCRIPCI�N
imulecmd es un programa basado en texto para controlar iMule. Puede obtener informaci�n �til al ejecutar el programa.

-h, --host=<host>
    Host donde iMule est� siendo ejecutado (por defecto: localhost). <host> puede ser una IP o una direcci�n DNS.

-p, --port=<puerto>
    El puerto donde iMule acepta conexiones de External Connections. Puede consultarlo en Preferenciass->Controles Remotos (por defecto: 4712)

-P, --password=<contrase�a>
    Contrase�a para External Connections.

-f, --config-file=<localizaci�n>
    Usar el archivo de configuracion indicado. Por defecto, ~/.iMule/remote.conf

-l, --locale=<lang>
    Establece el lenguaje del programa. Ver la secci�n NOTAS para la descripci�n del par�metro <lenguaje>.

-q, --quiet
    No mostrar nada por consola. Carece de utilidad cuando se emplea imulecmd.

-v, --verbose
    Mostrar informaci�n adicional - mostrar informaci�n de depuraci�n.

-w, --write-config
    Crear el archivo de configuraci�n y salir.

-c, --command=<comando>
    Ejecutar el comando <comando> y salir.

--create-config-from=<localizaci�n>
    Crear el archivo de configuraci�on bas�ndose en <localizaci�n> y salir. <localizaci�n> debe ser un archivo de configuraci�n de iMule v�lido.

--help
    Mostrar la ayuda y salir.

--version
    Mostrar la versi�n del programa y salir.

NOTAS

  Localizadores
Para todas las opciones que reuieran un par�metro <localizaci�n>, si la localizaci�n no contiene el nombre de ningun directorio (por ejemplo, si es simplemente el nombre de un archivo), entonces se tomar� como directorio contenedor de ese archivo el directorio de configuraci�n de iMule, ~/.iMule.

  Lenguajes

ARCHIVOS
~/.iMule/remote.conf

EJEMPLO
Normalmente, imulecmd se ejecutar�por primera vez de la siguiente manera:

imulecmd -h hostname -p ECport -P ECpassword -w

o

imulecmd --create-config-from=/home/username/.iMule/imule.conf

Esto guardar� la configuraci�n en $HOME/.iMule/remote.conf, de manera que en las sucesivas ejecuciones bastar� con hacer:

imulecmd

Por supuesto, no es necesario seguir este ejemplo.

BUGS
Si descubre bugs, por favor comun�quelos en (http://forum.imule.org/), o en nuestro bugtracker (http://bugs.imule.org/). Por favor, no comunique bugs por e-mail, ni a nuestro maillist ni directamente a ning�n miembro del equipo de iMule.

COPYRIGHT
iMule, y todas las utilidades que con el vienen, se distribuyen bajo la licencia GPL.

VER
imule(1), imuleweb(1)